import { SUPPORT_VENDOR_ENUM } from '../constants/vendor.constant';
import { LoggerService } from "@nestjs/common";
import { Region } from '../constants/region.constant';
export interface IOptions {
    readonly vendor: SUPPORT_VENDOR_ENUM;
    readonly access_key: string;
    readonly secret_key: string;
    readonly region: Region;
    readonly bucket_name: string;
    readonly basePath?: string;
    readonly logger?: LoggerService;
}
