/// <reference types="node" />
import { IOptions } from './options.interface';
export declare abstract class VendorStorage {
    constructor(options: IOptions);
    mac: string;
    token: string;
    ak: string;
    sk: string;
    protected readonly options: IOptions;
    abstract upload(key: string, file: File, path: string): Promise<any>;
    abstract uploadStream(file: string, name: string, buffer: Buffer): Promise<any>;
}
