"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NestJsImageHostingModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const nestjs_image_hosting_service_1 = require("./nestjs-image-hosting.service");
const constants_1 = require("./constants");
let NestJsImageHostingModule = NestJsImageHostingModule_1 = class NestJsImageHostingModule {
    static register(options, isGlobal = false) {
        return {
            module: NestJsImageHostingModule_1,
            global: isGlobal,
            providers: [
                {
                    provide: constants_1.IMAGE_HOSTING_OPTION_PROVIDER,
                    useValue: options
                },
            ],
            exports: [constants_1.IMAGE_HOSTING_OPTION_PROVIDER]
        };
    }
};
NestJsImageHostingModule = NestJsImageHostingModule_1 = __decorate([
    common_1.Module({
        providers: [nestjs_image_hosting_service_1.NestJSImageHostingService],
        exports: [nestjs_image_hosting_service_1.NestJSImageHostingService],
    })
], NestJsImageHostingModule);
exports.NestJsImageHostingModule = NestJsImageHostingModule;
